<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../xsl/rels.xsl" />

	<xsl:template name="espIns" >
		<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;&nbsp;]]></xsl:text>
	</xsl:template>
	
	<xsl:template name="head">
		<xsl:param name="utilisateur" />
		
		<script type="text/javascript">
			var urlServer = '/Arelv3.1/';
		</script>
		
		<meta http-equiv="content-type" content="text/html; charset=utf-8" /> 
		<meta http-equiv="pragma" content="no-cache" />
		<meta http-equiv="Cache-Control" content="no-cache, must-revalidate" />
		<meta http-equiv="Expires" content="0" />
		
		<link rel="icon" type="image/png" href="../favicon.ico" />
		
		<link rel="stylesheet" type="text/css" media="screen" href="../css/style.css" />
		<!-- Changement Avoriaz -->
		<link rel="stylesheet" type="text/css" media="screen" href="../css/edt.css" />
		<!-- Fin Changement Avoriaz -->
		<link rel="stylesheet" type="text/css" media="screen" href="../css/smoothness/jquery-ui-1.8.4.custom.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../css/jquery.weekcalendar.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../css/droppy.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../css/menudd.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../css/jquery.multiselect.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../css/ui.selectmenu.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../css/jquery.timepicker.tree.css" />
		
		<script type="text/javascript" src="../js/accueil.js"></script>
		<script type="text/javascript" src="../js/ajax.js"></script>
		<script type="text/javascript" src="../js/date.js"></script>
		<script type="text/javascript" src="../js/iepngfix_tilebg.js"></script>
		<script type="text/javascript" src="../js/jquery-1.4.2.min.js"></script>
		<script type="text/javascript" src="../js/jquery-1.4.4.js"></script>
		<script type="text/javascript" src="../js/jquery-ui-1.8.4.custom.min.js"></script>
		<script type="text/javascript" src="../js/jquery.cookie.js"></script>
		<script type="text/javascript" src="../js/jquery.droppy.js"></script>
		<script type="text/javascript" src="../js/jquery.multiselect.min.js"></script>
		<script type="text/javascript" src="../js/jquery.tablesorter.js"></script>
		<script type="text/javascript" src="../js/jquery.weekcalendar.js"></script>
		<script type="text/javascript" src="../js/menus.jQuery.js"></script>
		<script type="text/javascript" src="../js/script.js"></script>
		<script type="text/javascript" src="../js/ui.selectmenu.js"></script>
		<script type="text/javascript" src="../js/utilities.js"></script>
		<script type="text/javascript" src="../js/tiny_mce/jquery.tinymce.js"></script>
		<script type="text/javascript" src="../js/jquery-ui-timepicker-addon.js"></script>
		<script type="text/javascript" src="../js/common.js"></script>
		
		<title>Ecole virtuelle de l'EISTI : <xsl:value-of select="$utilisateur/@nom" /><xsl:text> </xsl:text><xsl:value-of select="$utilisateur/@prenom" /></title>
	</xsl:template>
	
	<xsl:template name="pageComplete">
		<xsl:param name="titre" />
		<xsl:param name="calendrier" />
		
		<xsl:if test="//menuPage/erreur">
			<div id="dialog-modal" title="">
				<p><xsl:value-of select="//menuPage/erreur" /></p>
			</div>
		</xsl:if>
		
		<!-- DIV "confirmation avant redirect" -->
		<div id="confirmNRedirectDialog" title="Supprimer une ressource" style="text-align: center">
			&#202;tes-vous s&#251;r de vouloir faire cela ?<br /><br />
			<a id="confirmNRedirectURL" href=""><img src="../images/icons/accept.png" alt="Oui" style="border: 0"/></a>
			<xsl:call-template name="espIns" />
			<a href="javascript:closeCNRD();"><img src="../images/icons/cancel.png" alt="Non" style="border: 0"/></a>
		</div>
		<!-- FIN DIV "confirmation avant redirect" -->
		
		<xsl:if test="//menuPage/relsParentes/rel">
			<!-- DIV "ressources parentes" -->
			<div id="RELS_PARENTES" title="Ressources parentes">
				<xsl:call-template name="afficherListeRels">
					<xsl:with-param name="id">RELS_PARENTES</xsl:with-param>
					<xsl:with-param name="rels">
						<xsl:for-each select="//menuPage/relsParentes/rel">
							<xsl:copy-of select="."/>
						</xsl:for-each>
					</xsl:with-param>
				</xsl:call-template>
			</div>
			<!-- FIN DIV "ressources parentes" -->
		</xsl:if>
	
		<div class="barTopItem">
			<img src="../images/icons/arrow_in.png" class="icons clickable" id="close_left_menu" title="Masquer la colonne de gauche" alt=""/>
		</div>
		<div id="bar_top" style="display: block; "> 
			<div class="header_big_center"> 
				<div class="header_big_left">
					<div class="border_bartop_left"><xsl:text>
					</xsl:text>
					</div>
				</div> 
				<div class="header_content"> 
					<!--p class="barTopTitle"><xsl:value-of select="$titre"/></p-->
					<p class="barTopItem"><xsl:text>
					</xsl:text>
					<a href="../{entete/accueil}"><xsl:text>
						</xsl:text>
						<img src="../images/icons/house.png" class="icons" title="Revenir &#224; la page d'accueil" alt=""/><xsl:text>
					</xsl:text></a></p><xsl:text>
					</xsl:text>
		  
					<p class="barTopItem"><a href="../Logout"><img src="../images/icons/disconnect.png" class="icons" title="D&#233;connexion" alt=""/></a></p>
					<p class="barTopItem"><img class="flags" alt="" src="../images/flags/fr.png"/></p> 
					<p class="barTopItem"><img src="../images/icons/status_online.png" class="icons" alt=""/></p>  
					<p class="text_head_bar">
						<xsl:value-of select="entete/utilisateur/@nom"/>
						<xsl:text> </xsl:text>
						<xsl:value-of select="entete/utilisateur/@prenom"/>
					</p>  
					<p class="barTopItem"><img src="../images/icons/user.png" class="icons" alt=""/></p>  
					<p class="text_head_bar">
						<xsl:value-of select="entete/utilisateur/@statut"/>
					</p>  
					<p class="barTopItem"><img src="../images/icons/world.png" class="icons" alt=""/></p>  
					<p class="text_head_bar">
						<xsl:value-of select="entete/utilisateur/@site"/>
					</p> 
					<p class="barTopItem"><xsl:text>
					</xsl:text>
					<a href="javascript:definePageAccueil();"><xsl:text>
						</xsl:text>
						<img src="../images/icons/house_link.png" class="icons" title="Changer ma page d'accueil" alt=""/><xsl:text>
					</xsl:text></a></p><xsl:text>
					</xsl:text>
					<p class="barTopItem"><xsl:text>
					</xsl:text>
					<a href="../home/messagerie.jsp"><xsl:text>
						</xsl:text>
						<img src="../images/icons/email.png" class="icons" title="Messages non lus" alt=""/><xsl:text>
					</xsl:text></a></p><xsl:text>
					</xsl:text>
					<p class="text_head_bar">
						<xsl:choose>
							<xsl:when test="entete/messages/@nb = 0">
								(<xsl:value-of select="entete/messages/@nb" />)
							</xsl:when>
							<xsl:otherwise>
								<span id="cligno">(<xsl:value-of select="entete/messages/@nb" />)</span>
								<script type="text/javascript">
									function blink(){
										if(document.getElementById("cligno").style.display=="inline")
											document.getElementById("cligno").style.display="none";
									    else
											document.getElementById("cligno").style.display="inline";
									}
									setInterval("blink()", 1000);
								</script>
							</xsl:otherwise>
						</xsl:choose>
					</p>
				</div> 
				<xsl:if test="not(//entete/utilisateur/@statut = 'parent')">
				<div class="header_big_right"><div class="border_bartop_right"><xsl:text>
					</xsl:text></div></div> 
				<div class="spacer"><xsl:text>
					</xsl:text></div> 
				</xsl:if>
			</div> 
		</div>
		
		<div>
			<div id="top_bg" style="display: block; "></div>
			<div id="left_bg" style="display: block; "></div>
			
			<div class="zone_left" style="display: block; ">
				<a href="../home/accueil.jsp">
					<img src="../images/eisti_logo.png" id="logo" alt=""/>
				</a>
				<!-- DEBUT bloc Menu de gauche -->
				<!--  Changement Avoriaz -->
				<!--div class="block_menu_left" id="block1"> 
					<div class="head_block"> 
						<div class="head_block_left"></div>
						<div class="head_block_center">
							<div class="title_block_header title_block_left">
								<img src="../images/icons/calendar.png" class="icons" alt=""/>
								<div class="text_menu_block">Calendrier</div>
							</div> 
							<div class="button_toggle_block"></div> 
						</div>
						<div class="head_block_right">
							<div class="head_block_right_rel"></div>
						</div>
						<div class="simple_text datepicker_aff block_content" id="datepicker"></div>
					</div>
				</div-->
				
				<!--  Fin changement Avoriaz -->
				<!-- FIN bloc Menu de gauche -->
				
				<xsl:if test="not(//entete/utilisateur/@statut = 'parent')">
				<xsl:for-each select="menuGauche/rubrique[not(@libelle = preceding-sibling::rubrique/@libelle)]">
					<xsl:variable name="noBloc" select="position()+1"/>
					<xsl:if test="itemRubrique">
					<div class="block_menu_left" id="block{$noBloc}"> 
						<div class="head_block"> 
							<div class="head_block_left"><xsl:text>
							</xsl:text></div> 
							<div class="head_block_center"> 
								<div class="title_block_header title_block_left"> 
									<div class="text_menu_block">
									<xsl:value-of select="@libelle"/>
									<xsl:value-of select="libelle"/>
									</div>
								</div> 
								<div class="button_toggle_block"><xsl:text>
								</xsl:text></div> 
							</div> 
							<div class="head_block_right"><div class="head_block_right_rel"><xsl:text>
																						</xsl:text></div></div> 
						</div>
						<div class="block_content">
							<ul class="navmenu"> 
							<xsl:for-each select="itemRubrique">
								<xsl:choose>
									<xsl:when test="@type = 'javascript'">
									<li><a href="javascript:{@action}">
									<xsl:value-of select="@libelle"/>
									<xsl:value-of select="libelle"/>
									</a></li>
									<xsl:if test="@action = 'poserQuestion();'">
		<script type="text/javascript" src="../js/forum.js"></script>
		<!-- DIV pouvant etre affiche avec un bouton "Poser une question" -->
		<div id="question" title="Poser une question">
			<p class="validateTips">Entrez un libelle resumant le probl&#232;me puis le d&#233;tail</p>
			<form method="post" action="AjoutQuestion">
				Libelle : <input type="text" name="libelle" id="libelle" class="text ui-widget-content ui-corner-all" />
				<br /><br />
				Contenu :
				<br /><br />
				<textarea style="width: 100%;" name="contenu" id="contenu" />
				<input type="hidden" name="relId" value="{//menuPage/rel/@id}" />
			</form>
		</div>
		<!-- Fin DIV "Poser une question" -->
									</xsl:if>
									</xsl:when>
									<xsl:otherwise>
									<li><a href="{@action}">
									<xsl:value-of select="@libelle"/>
									<xsl:value-of select="libelle"/>
									</a></li> 
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
							</ul>
						</div>
					</div>
					</xsl:if>
				</xsl:for-each>
				</xsl:if>
			</div>
		</div>
		
		<div id="menu_top"><xsl:text>
		</xsl:text>
			<div class="menu_block_content"><xsl:text>
				</xsl:text>
				<div class="menu_block_left"><xsl:text>
						</xsl:text>
				</div><xsl:text>
				</xsl:text>
				<div class="menu_block_center"><xsl:text>
					</xsl:text>
					<ul id="nav"><xsl:text>
					</xsl:text>
					<xsl:for-each select="menuTop/itemMenu"><xsl:text>
						</xsl:text>
						<li><xsl:text>
							</xsl:text>
							<a href="{@action}" ><xsl:text>
								</xsl:text>
								<img class="icons" alt="{@libelleLong}" src="../images/icons/{@icone}" /><xsl:text>
								</xsl:text>
								<span class="text_menu_h_bar"><xsl:value-of select="@libelle"/></span>
							</a>
							<xsl:if test="itemMenu">
								<xsl:text>
								</xsl:text>
								<ul><xsl:text>
								</xsl:text>
								<xsl:for-each select="itemMenu">
									<li><xsl:text>
										</xsl:text>
										<xsl:variable name="action2">
										<xsl:choose>
											<xsl:when test="not(@action = '') and  @action"><xsl:value-of select="@action"/></xsl:when>
											<xsl:otherwise>#</xsl:otherwise>
											</xsl:choose>
										</xsl:variable>
										<a href="{$action2}" ><xsl:text>
											<!--img class="icons" alt="{@libelleLong}" src="../images/icons/{@icone}" /-->
											</xsl:text>
											<span class="text_menu_h_bar"><xsl:value-of select="@libelle"/></span><xsl:text>
										</xsl:text>
										</a>
										<xsl:if test="itemMenu">
											<xsl:text>
											</xsl:text>
											<ul>
											<xsl:for-each select="itemMenu">
												<xsl:text>
												</xsl:text>
												<li><xsl:text>
													</xsl:text>
													<xsl:variable name="action3">
													<xsl:choose>
														<xsl:when test="not(@action = '') and  @action"><xsl:value-of select="@action"/></xsl:when>
														<xsl:otherwise>#</xsl:otherwise>
													</xsl:choose>
													</xsl:variable>
													<a href="{$action3}" ><xsl:text>
														<!--img class="icons" alt="{@libelleLong}" src="../images/icons/{@icone}" /-->
														</xsl:text>
														<span class="text_menu_h_bar"><xsl:value-of select="@libelle"/></span><xsl:text>
													</xsl:text>
													</a><xsl:text>
												</xsl:text>
												</li>
											</xsl:for-each>
											<xsl:text>
											</xsl:text>
											</ul>
										</xsl:if>
									<xsl:text>
									</xsl:text>
									</li>
								</xsl:for-each>
								<xsl:text>
								</xsl:text>
								</ul>
							</xsl:if>
						<xsl:text>
						</xsl:text>
						</li> 
					</xsl:for-each>
					<xsl:text>
					</xsl:text>
					</ul><xsl:text>
				</xsl:text>
				</div><xsl:text>
			</xsl:text>
				<div class="menu_block_right"><div class="border_menu_block_right"><xsl:text>
						</xsl:text></div></div><xsl:text>
			</xsl:text>
		
			</div><xsl:text>
		</xsl:text>
		</div>
		
		<div id="menu_top_url">
			<a href="../home/jeuneDipCampus.jsp"><img src="../upload/barURLs/JeuneDip.jpg" border="0" title="Stage" 
			alt="Stage" height="40" width="80"/></a>
			<xsl:call-template name="espIns"/>
			<a href="http://www.jobinlive.com/eisti"><img src="../upload/barURLs/jobInLive.png" border="0" title="Aide à l'entretien d'embauche" 
			alt="Aide à l'entretien d'embauche" height="40" width="80"/></a>
			<xsl:call-template name="espIns"/>
			<a href="http://arelv2.eisti.fr/apec.html"><img src="../upload/barURLs/logo-apec.png" border="0" 
			title="Services de l'APEC : offres d'emplois ou de stages, forums, fiches métiers"
			alt="" height="40" width="80"/></a>
			<xsl:call-template name="espIns"/>
			<a href="http://glpi.ccr.eisti.fr"><img src="../upload/barURLs/glpi.png" border="0" 
			title="Signaler un problème au centre de calcul et de réseaux de l'EISTI"
			alt="" height="40" width="80"/></a>
			<xsl:call-template name="espIns"/>
			<a href="http://membres.projet-voltaire.fr"><img src="../upload/barURLs/logoProjetVoltaire.png" border="0" 
			title="Le projet Voltaire : code d'accès 7d9adbr8rf"
			alt="" height="40" width="80"/></a>
		</div>
		
		<div id="TITRE_PAGE" class="titre_page">
			<div class="head_block"> 
				<div class="title_page_block_left"></div> 
				<div class="title_page_block_center">
					<xsl:value-of select="$titre"/>
				</div>
				<div class="title_page_block_right"></div> 
			</div>
		</div>
		
		<div id="page">			
			<div id="PAGE_CONTENT" class="white_bg"><xsl:call-template name="contenuPrincipal" /></div>

			<div id="RESSOURCES_RECENTES" class="white_bg" style="display:none"></div>
			
			<div id="MES_MATIERES" class="white_bg" style="display:none"></div>
			
			<div id="MES_ESPACES" class="white_bg" style="display:none"></div>
			
			<div id="MES_TRAVAUX_RC" class="white_bg" style="display:none"></div>
		</div>
		
	</xsl:template>
	
	<xsl:template name="afficherLigneRessourcesParentes">
		<xsl:if test="//menuPage/relsParentes/rel">
	        	<div class="simple_block simple_text">
	        	   <xsl:text>Ressources parentes : </xsl:text>
		           	<xsl:for-each select="//menuPage/relsParentes/rel">
		       	    	<xsl:call-template name="afficherIconeRessource">
		              	<xsl:with-param name="type"> <xsl:value-of select="type"/></xsl:with-param>
		            	</xsl:call-template>
		            	<xsl:text> </xsl:text>
		            	<a href="showrel.jsp?id={@id}&amp;type={type}"><xsl:value-of select="libelle"/></a>
		           		<xsl:if test="not(last() = position())"><xsl:text>, </xsl:text></xsl:if>
		           	</xsl:for-each>
	       		 </div>
		</xsl:if>
	</xsl:template>
	<xsl:template name="retourVersRelsDansEdition">
		<xsl:if test="not(//menuPage/rel/libelle = '')">
	        	<div class="simple_block simple_text">
				<xsl:text>Sortir du mode &#233;dition et revenir &#224; l'affichage de </xsl:text><a href="showrel.jsp?id={//menuPage/rel/@id}">
		       	    	<xsl:call-template name="afficherIconeRessource">
		              	<xsl:with-param name="type"> <xsl:value-of select="//menuPage/rel/type"/></xsl:with-param>
		            	</xsl:call-template>
				<xsl:text> </xsl:text>
				<xsl:value-of select="//menuPage/rel/libelle"/></a>
			</div>
		</xsl:if>
	</xsl:template>
	<xsl:template name="dateVersChaine">
		<xsl:param name="date"/>
		<xsl:value-of select="substring($date,7,4)"/>
		<xsl:value-of select="substring($date,4,2)"/>
		<xsl:value-of select="substring($date,1,2)"/>
		<xsl:value-of select="substring($date,12,5)"/>
	</xsl:template>
</xsl:stylesheet>
