﻿<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../xsl/common.xsl"/>
	
	<xsl:output method="html" encoding="utf-8" version="4.0" indent="yes" 
		doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />

	<xsl:variable name="concepteur">
		<xsl:choose>
			<xsl:when test="//entete/utilisateur/@id = //participants/acteur[@fonction = 'responsable']/@id">responsable</xsl:when>
			<xsl:when test="//entete/utilisateur/@id = //participants/acteur[@fonction = 'participe']/@id">participant</xsl:when>
			<xsl:otherwise>rien</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

	<xsl:variable name="id"><xsl:value-of select="//menuPage/rel/@id"/></xsl:variable>

	<xsl:variable name="affichageEtatPublication">
		<xsl:choose>
			<xsl:when test="//menuPage/rel/@etat = 'publier'">publi&#233;</xsl:when>
			<xsl:when test="//menuPage/rel/@etat = 'brouillon'">non publi&#233;</xsl:when>
		</xsl:choose>
	</xsl:variable>

	<xsl:template match="menuPage">
		<html>
			<head>
				<xsl:call-template name="head">
					<xsl:with-param name="utilisateur" select="entete/utilisateur"/>
				</xsl:call-template>

				<meta HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE"/>
			</head>	
			
			<body>
				<xsl:call-template name="pageComplete">
					<xsl:with-param name="titre">Module</xsl:with-param>
				</xsl:call-template>
			</body>
		</html>
	</xsl:template>


	<xsl:template name="contenuPrincipal">
		<div class="noblank title_repeat">
			<xsl:value-of select="//menuPage/rel/@sousType"/><xsl:text> </xsl:text><span class="title_repeat_accentue"><xsl:value-of select="//menuPage/rel/libelle"/></span>
			(ressource cr&#233;&#233;e le <span class="title_repeat_accentue"><xsl:value-of select="//menuPage/rel/@dateCre"/></span> et mise &#224; jour le
			<span class="title_repeat_accentue"><xsl:value-of select="//menuPage/rel/@dateMAJ"/></span>)
			<xsl:text> </xsl:text>
		<!--xsl:if test="//entete/utilisateur/@id = //participants/acteur/@id">
			(visibilit&#233;  : <span class="title_repeat_accentue">
			<xsl:value-of select="//menuPage/rel/@visibilite"/></span>)
				<xsl:text> </xsl:text>
			(&#233;tat de publication  : <span class="title_repeat_accentue">
			<xsl:value-of select="$affichageEtatPublication"/></span>)
		</xsl:if-->
		</div>
		<xsl:call-template name="afficherLigneRessourcesParentes"/>
			
		<div class="simple_block simple_text">
			<div id="INFORMATION" class="tabs">
		    	<ul>
					<li><a href="#SYLLABUS"><span>Syllabus</span></a></li>
					<li><a href="#PRESENTATION"><span>Pr&#233;sentation</span></a></li>
					<li><a href="#CONTRIBUTEURS"><span>Contributeurs</span></a></li>
					<li><a href="#DOCUMENTS"><span>Documents</span></a></li>
					<li><a href="#ACTIVITES"><span>Activit&#233;s</span></a></li>
					<li><a href="#TRAVAUX"><span>Travaux</span></a></li>
					<li><a href="#FAQ"><span>FAQ</span></a></li>
		    	</ul>
				<div id="SYLLABUS"><xsl:call-template name="afficherSyllabus"/></div>
				<div id="PRESENTATION">
					<xsl:value-of select="//menuPage/rel/presentation" disable-output-escaping="yes"/>
				</div>
				<div id="CONTRIBUTEURS"><xsl:call-template name="afficherDepositaires"/></div>

				<div id="DOCUMENTS"><xsl:call-template name="afficherDocuments"/></div>
				<div id="ACTIVITES"><xsl:call-template name="afficherActivites"/></div>
				<div id="TRAVAUX"><xsl:call-template name="afficherTravaux"/></div>
				<div id="FAQ"><xsl:call-template name="afficherFAQ"/></div>

			</div>
		</div>
	</xsl:template>

	<xsl:template name="afficherDocuments">
		<div>
		<xsl:call-template name="afficherListeRels">
			<xsl:with-param name="id">DOCUMENT</xsl:with-param>
			<xsl:with-param name="rels">
				<xsl:for-each select="//rels/rel[type='document']">
					<xsl:variable name="sousdocId" select="@id" />
					<xsl:if test="not(//relsFilles/rel[@id = $sousdocId])">
						<xsl:copy-of select="."/>
					</xsl:if>
				</xsl:for-each>
				<xsl:for-each select="//relsFilles/rel[type='document']">
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:with-param>
			<xsl:with-param name="concepteur" select="$concepteur"/>
			<xsl:with-param name="pageActuelle">showmatiere</xsl:with-param>
			<xsl:with-param name="relPereId" select="//menuPage/rel/@id"/>
		</xsl:call-template>
		</div>
	</xsl:template>

	<xsl:template name="afficherActivites">
		<div>
		<xsl:call-template name="afficherListeRels">
			<xsl:with-param name="id">ACTIVITE</xsl:with-param>
			<xsl:with-param name="rels">
				<xsl:for-each select="//rels/rel[type='activit&#233;']">
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:with-param>
			<xsl:with-param name="concepteur" select="$concepteur"/>
			<xsl:with-param name="pageActuelle">showmatiere</xsl:with-param>
			<xsl:with-param name="relPereId" select="//menuPage/rel/@id"/>
		</xsl:call-template>
		</div>
	</xsl:template>

	<xsl:template name="afficherTravaux">
		<div>
		<xsl:call-template name="afficherListeRels">
			<xsl:with-param name="id">TRAVAUX</xsl:with-param>
			<xsl:with-param name="rels">
				<xsl:for-each select="//relsFilles/rel[type='travaux' or type='qcm']">
					<xsl:copy-of select="."/>
				</xsl:for-each>
				<xsl:for-each select="//rels/rel[type='travaux' or type='qcm']">
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:with-param>
			<xsl:with-param name="concepteur">rien</xsl:with-param>
			<xsl:with-param name="pageActuelle">showmatiere</xsl:with-param>
			<xsl:with-param name="relPereId" select="//menuPage/rel/@id"/>
		</xsl:call-template>
		</div>
	</xsl:template>

	<xsl:template name="afficherFAQ">
		<div>
		<xsl:call-template name="afficherListeRels">
			<xsl:with-param name="id">FAQ</xsl:with-param>
			<xsl:with-param name="rels">
				<xsl:for-each select="//relsFilles/rel[type='question']">
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:with-param>
			<xsl:with-param name="concepteur">rien</xsl:with-param>
			<xsl:with-param name="pageActuelle">showmatiere</xsl:with-param>
			<xsl:with-param name="relPereId" select="//menuPage/rel/@id"/>
		</xsl:call-template>
		</div>
	</xsl:template>

	<xsl:template name="afficherSyllabus">
		<xsl:for-each select="//programme">
			<h2><i><xsl:text>Niveau </xsl:text>
			<xsl:choose>
				<xsl:when test="annee = 1">L1 : </xsl:when>
				<xsl:when test="annee = 2">L2 : </xsl:when>
				<xsl:when test="annee = 3">L3 : </xsl:when>
				<xsl:when test="annee = 4">M1 : </xsl:when>
				<xsl:when test="annee = 5">M2 : </xsl:when>
			</xsl:choose>
			<xsl:text>module enseign&#233; en </xsl:text> <xsl:value-of select="libelle"/><br/>
			</i></h2>
		</xsl:for-each>
		<script type="text/javascript">
			function basculer(mode,id) {
				if(mode == 'fermer') {
					document.getElementById('OUV_'+id).style.display = 'none';
					document.getElementById('CON_'+id).style.display = 'none';
					document.getElementById('FER_'+id).style.display = 'block';
				}
				else {
					document.getElementById('FER_'+id).style.display = 'none';
					document.getElementById('CON_'+id).style.display = 'block';
					document.getElementById('OUV_'+id).style.display = 'block';
				}
			}
		</script>
		<xsl:if test="//menuPage/rel/syllabus/objectif and not(//menuPage/rel/syllabus/objectif/text() = '')">
		<xsl:call-template name="afficherRubrique">
			<xsl:with-param name="id">OBJECTIF</xsl:with-param>
			<xsl:with-param name="titre">Objectifs du module</xsl:with-param>
			<xsl:with-param name="contenu">
				<xsl:value-of select="//menuPage/rel/syllabus/objectif" />
			</xsl:with-param>
		</xsl:call-template>
		</xsl:if>
		<xsl:if test="//menuPage/rel/syllabus/themesDetailles and not(//menuPage/rel/syllabus/themesDetailles/text() = '')">
		<br/>
		<xsl:call-template name="afficherRubrique">
			<xsl:with-param name="id">THEMES_DETAILLES</xsl:with-param>
			<xsl:with-param name="titre">Th&#232;mes d&#233;taill&#233;s</xsl:with-param>
			<xsl:with-param name="contenu">
				<xsl:value-of select="//menuPage/rel/syllabus/themesDetailles" />
			</xsl:with-param>
		</xsl:call-template>
		</xsl:if>
		<xsl:if test="//menuPage/rel/syllabus/prerequis and not(//menuPage/rel/syllabus/prerequis/text() = '')">
		<br/>
		<xsl:call-template name="afficherRubrique">
			<xsl:with-param name="id">PREREQUIS</xsl:with-param>
			<xsl:with-param name="titre">Pr&#233;requis et postrequis</xsl:with-param>
			<xsl:with-param name="contenu">
				<xsl:value-of select="//menuPage/rel/syllabus/prerequis" />
			</xsl:with-param>
		</xsl:call-template>
		</xsl:if>
		<xsl:if test="//menuPage/rel/syllabus/evaluation and not(//menuPage/rel/syllabus/evaluation/text() = '')">
		<br/>
		<xsl:call-template name="afficherRubrique">
			<xsl:with-param name="id">EVALUATION</xsl:with-param>
			<xsl:with-param name="titre">P&#233;dagogie et &#233;valuation</xsl:with-param>
			<xsl:with-param name="contenu">
				<xsl:value-of select="//menuPage/rel/syllabus/evaluation" />
			</xsl:with-param>
		</xsl:call-template>
		</xsl:if>
		<xsl:if test="//menuPage/rel/syllabus/bibliographie and not(//menuPage/rel/syllabus/bibliographie/text() = '')">
		<br/>
		<xsl:call-template name="afficherRubrique">
			<xsl:with-param name="id">BIBLIOGRAPHIE</xsl:with-param>
			<xsl:with-param name="titre">Bibliographie</xsl:with-param>
			<xsl:with-param name="contenu">
				<xsl:value-of select="//menuPage/rel/syllabus/bibliographie" />
			</xsl:with-param>
		</xsl:call-template>
		</xsl:if>
		<xsl:if test="//menuPage/rel/syllabus/bibliographie and not(//menuPage/rel/syllabus/sitesInternet/text() = '')">
		<br/>
		<xsl:call-template name="afficherRubrique">
			<xsl:with-param name="id">SITES_INTERNET</xsl:with-param>
			<xsl:with-param name="titre">Sites Internet</xsl:with-param>
			<xsl:with-param name="contenu">
				<xsl:value-of select="//menuPage/rel/syllabus/sitesInternet" />
			</xsl:with-param>
		</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template name="afficherRubrique">
		<xsl:param name="id"/>
		<xsl:param name="titre"/>
		<xsl:param name="contenu"/>

		<div class="noblank title_repeat" id="OUV_{$id}">
			<a href="javascript:basculer('fermer','{$id}')"><img src="../images/icons/arrow_in.png" border="0" alt="Fermer la rubrique"/></a>
		<xsl:text> </xsl:text><xsl:value-of select="$titre"/></div>
		<div class="noblank title_repeat" id="FER_{$id}" style="display:none">
			<a href="javascript:basculer('ouvrir','{$id}')"><img src="../images/icons/arrow_out.png" border="0" alt="ouvrir la rubrique"/></a>
		<xsl:text> </xsl:text><xsl:value-of select="$titre"/></div>
		<div id="CON_{$id}" class="texte_riche">
			<xsl:value-of select="$contenu" disable-output-escaping="yes"/>
		</div>
	</xsl:template>
</xsl:stylesheet>
